import { system, world } from "@minecraft/server";

world.afterEvents.playerJoin.subscribe((event) => {
    const player = event.player;

    try {
        player.runCommandAsync("gamerule keepInventory false");
    } catch (error) {
        console.warn(`Erro ao configurar gamerule: ${error}`);
    }
});


system.runInterval(() => {
    world.getAllPlayers().forEach(player => {
        if (player.getTotalXp() > 0) player.runCommand('kill @a')
    })
})